GET /api/workflows/workflow/{id}

Spaces method and path for this operation:

get /s/{space_id}/api/workflows/workflow/{id}

Refer to Spaces for more information.

Retrieve a single workflow by its ID.

[Required authorization] Route required privileges: workflowsManagement:read.

Path parameters

  • id string Required

    Workflow ID

Responses

  • 200 application/json

    Indicates a successful response

GET /api/workflows/workflow/{id}
curl \
  -X GET "${KIBANA_URL}/api/workflows/workflow/{id}" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/workflows/workflow/{id}
Response examples (200)
Example response returning a single workflow
{
  "id": "workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "name": "Example definition",
  "yaml": "name: Example definition\nenabled: true\ndescription: This is a workflow example\ntriggers:\n  - type: manual\ninputs:\n  - name: message\n    type: string\n    default: \"hello world\"\nsteps:\n  - name: hello_world_step\n    type: console\n    with:\n      message: \"{{ inputs.message }}\"\n",
  "valid": true,
  "enabled": true,
  "createdAt": "2025-11-20T10:30:00.000Z",
  "createdBy": "elastic",
  "definition": {
    "name": "Example definition",
    "steps": [
      {
        "name": "hello_world_step",
        "type": "console",
        "with": {
          "message": "{{ inputs.message }}"
        }
      }
    ],
    "inputs": [
      {
        "name": "message",
        "type": "string",
        "default": "hello world"
      }
    ],
    "enabled": true,
    "triggers": [
      {
        "type": "manual"
      }
    ],
    "description": "This is a workflow example"
  },
  "description": "This is a workflow example",
  "lastUpdatedAt": "2025-11-21T14:00:00.000Z",
  "lastUpdatedBy": "elastic"
}